Bug 868721 - Improve logging for the lastCheck value returned by getVdsStats
Improve logging for the lastCheck value returned by getVdsStats
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Federico Simoncelli
Leonid Natapov
storage
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 19:23 EDT by Federico Simoncelli
Modified: 2012-12-04 14:13 EST (History)
8 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-40.0
Doc Type: Bug Fix
Doc Text:
Previously, lastCheck (delta seconds since last stats collection) was logged by VDSM as a time stamp rather than a value being reported to the Manager. Now, VDSM logs the actual value of lastCheck as reported to the Manager to improve debugging.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:13:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Federico Simoncelli 2012-10-21 19:23:09 EDT
Description of problem:
At the moment when getVdsStats is received by VDSM the logged information (regarding storage domains) are the ones generated by repoStats. In particular one of the reported values, lastCheck, is logged as a timestamp instead of the actual value reported to the engine (delta seconds since last stats collection).
To improve debugging (the lastCheck is tested by the engine and countermeasures are taken if it grows over a certain limit) VDSM should log the actual value reported to the engine.

Version-Release number of selected component (if applicable):
vdsm-4.9.6-38.0.el6_3

How reproducible:
100%

Steps to Reproduce:
1. vdsClient -s 0 getVdsStats
2. check that what is logged is repoStats and lastCheck is a timestamp instead of a delta time
  
Actual results:
The logged lastCheck value is a timestamp.

Expected results:
The logged lastCheck value is a delta value (the same reported and displayed by vdsClient -s 0 getVdsStats).
Comment 1 Federico Simoncelli 2012-10-21 19:25:14 EDT
commit a3279c486ca289adbcaacb80ceaca735d7a9c60d
Author: Federico Simoncelli <fsimonce@redhat.com>
Date:   Thu Sep 13 09:10:35 2012 -0400

    stats: move the lastCheck computation to getRepoStats
    
http://gerrit.ovirt.org/#/c/7993/
Comment 4 Leonid Natapov 2012-11-12 04:55:30 EST
si24. fixed. repostats shows the lastcheck. value is same as in getVdsStats.
Comment 6 errata-xmlrpc 2012-12-04 14:13:19 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.